Digest::SHA version 5.61
========================

Digest::SHA is a complete implementation of the NIST Secure Hash
Standard.  It gives Perl programmers a convenient way to calculate
SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, SHA-512/224, and SHA-512/256
message digests.  The module can handle all types of input, including
partial-byte data.

Digest::SHA is written in C for speed.  If your platform lacks a
C compiler, you can install the functionally-equivalent (but much
slower) Digest::SHA::PurePerl module.

The tests subdirectory (t/*.t) contains an extensive set of SHA
vectors compiled from various sources.

INSTALLATION

To install this module type the following:

	perl Makefile.PL [ options ]
	make
	make test
	make install

The Makefile.PL options are:

	-t : build a thread-safe version of module
	-x : exclude support for SHA-384/512

DEPENDENCIES

	None

COPYRIGHT AND LICENSE

Copyright (C) 2003-2011 Mark Shelor

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself.

Please refer to the Perl Artistic License for details:

http://search.cpan.org/perldoc?perlartistic
